#ifndef BOXHPP
#define BOXHPP
#include "icon.hpp"
#include "graphics.hpp"

class Box: public Icon {

public:

	int x1, y1, x2, y2;
	COLOR_TYPE border_color;
	COLOR_TYPE fill_color;

	Box(int, int, int, int, COLOR_TYPE, COLOR_TYPE);
	virtual ~Box() {}
	virtual void Color(COLOR_TYPE);
	virtual void Display();
};



class BottomShadedBox: public Icon {

	  int x1, y1, x2, y2;
	  COLOR_TYPE shade_color;
	  COLOR_TYPE border_color;
	  COLOR_TYPE fill_color;

public:

	BottomShadedBox(int, int, int, int,
		   COLOR_TYPE, COLOR_TYPE, COLOR_TYPE);
	void Color(COLOR_TYPE);
	void Display();
};



class TopShadedBox: public Icon {

	  int x1, y1, x2, y2;
	  COLOR_TYPE shade_color;
	  COLOR_TYPE border_color;
	  COLOR_TYPE fill_color;

public:

	TopShadedBox(int, int, int, int,
		   COLOR_TYPE, COLOR_TYPE, COLOR_TYPE);
	void Color(COLOR_TYPE);
	void Display();
};


class ShadedBox: public Icon {

	BottomShadedBox* bottom_box;
	TopShadedBox* top_box;

public:

	ShadedBox(int, int, int, int, 
		     COLOR_TYPE, COLOR_TYPE, COLOR_TYPE);
	void Color(COLOR_TYPE);
	void Display();
	virtual ~ShadedBox();
};

#endif
