#include "recorder.hpp"

RecorderPage::RecorderPage() : Page("A Virtual Tape Recorder")
{
	tape_controls = new HorizontalSelector(5, 250,
				  "Recorder Controls",
				  &RecorderSettings. tape_state,
				  0,
				  "Record",
				  "Rewind",
				  "Play",
				  "Forward",
				  "Stop",
				  "Pause");

	level = new AttenuatorPot(410, 80, "Level",
				  &RecorderSettings. fader,
				  0);

	setup = new PopupWindowButton(OpenSetupPopup,
		100, 80, 170, 120,
		"Setup", "Controls");
}

void RecorderPage::Display()
{
	Page::Display();
	tape_controls->Display();
	level->Display();
	setup->Display();
}

RecorderPage::~RecorderPage()
{
	// destroy all objects on the screen
	delete tape_controls;
	delete level;
	delete setup;
}

void OpenRecorderPage()
{
	// get next page ready
	RecorderPage* new_page = new RecorderPage();

	// create new page
	CurrentScreen->NewWorkArea(new_page);
	CurrentScreen->DisplayWorkArea();
}
