#ifndef SETUPHPP
#define SETUPHPP

#include "popup.hpp"
#include "pot.hpp"
#include "pushbut.hpp"
#include "selector.hpp"
#include "graphics.hpp"

#define SETUP_WINDOW_WIDTH 365
#define SETUP_WINDOW_HEIGHT 210
#define SETUP_WINDOW_LEGEND_HEIGHT 25

class SetupPopup: public PopupWindow {

	  ToneLevelPot* bass;
	  ToneLevelPot* treble;
	  HorizontalSelector* source;
	  BistablePushButton* defeat;

	  COLOR_TYPE shade_color;
	  COLOR_TYPE border_color;
	  COLOR_TYPE fill_color;
	  COLOR_TYPE title_color;
	  COLOR_TYPE title_backdrop_color;

public:

	SetupPopup(PopupWindowButton*, int, int, char*);
	void Display();
	virtual ~SetupPopup();
};


void OpenSetupPopup(PopupWindowButton*);

#endif
