#include "text.hpp"
#include "events.hpp"
#include <string.h>

Text::Text(int mx, int my, char *string,
	   COLOR_TYPE backdrop_clr,
	   COLOR_TYPE inactive_clr,
	   COLOR_TYPE active_clr,
	   void (*function)(),
	   int parm) :
		       (mx,
			my,
			mx + GraphicsHandler->FontWidth() * strlen(string),
			my + GraphicsHandler->FontHeight() )
{
	x1 = mx;
	y1 = my;
	x2 = x1 + GraphicsHandler->FontWidth() * strlen(string);
	y2 = y1 + GraphicsHandler->FontHeight();
	strcpy(text, string);
	backdrop_color =  backdrop_clr;
	inactive_color =  inactive_clr;
	active_color =  active_clr;
	current_color = inactive_color;
	activation_function = function;
	parameter = parm;
	edit_mode = 0;
}

void Text::Display()
{
	// display the text
	GraphicsHandler->PutString(current_color, x1, y1, text);
}

void Text::SetEditMode()
{
	edit_mode = 1;
}

void Text::ClearEditMode()
{
	edit_mode = 0;
}

void Text::LeftButtonPressed()
{

	current_color = active_color;
	Display();
}

void EditString(int, int, int, int, int, int, char*, COLOR_TYPE);
void Text::LeftButtonReleased()
{
	unsigned int mouse_x, mouse_y;
	int status = EventsHandler->MouseStatus(&mouse_x, &mouse_y);
	current_color = inactive_color;
	Display();
	if (edit_mode)
	  EditString(x1, y1, x2, y2, mouse_x, mouse_y, text, current_color);
//	else
//	(*activation_function)(parameter);
}
