#include "tone.hpp"

static NOTE_DATA notes [] =
{
{ "DO",  532},
{ "DO#", 554},
{ "RE",  587},
{ "RE#", 622},
{  "MI",  659},
{  "FA",  698},
{  "FA#", 740},
{  "SOL", 784},
{  "SOL#",831},
{  "LA",  880},
{  "LA#", 932},
{  "TI",  988}
};

ToneButton::ToneButton(int x, int y, NOTE key) :

	MonostablePushButton(x, y, "", 0, 0)
{
	// save the note
	note = key;

	// lookup the name of the note and save it
	strcpy(legend, notes [note]. note_name);

	// pass a state variable to the base class
	key_state = 0;
	state = &key_state;
}


void ToneButton::LeftButtonPressed()
{
	MonostablePushButton::LeftButtonPressed();
	EventsHandler->SoundOn(notes [note]. note_pitch);
}

void ToneButton::LeftButtonReleased()
{
	EventsHandler->SoundOff();
	MonostablePushButton::LeftButtonReleased();
}
