#include "vatpage.hpp"

VatPage::VatPage() : Page("Animated Storage Tanks")
{
	value1 = 0.5;
	value2 = 0.9;
	value3 = 0.1;

	vat1 = new Vat(180, 10, "Water Level", &value1, BRIGHT_GREEN);
	vat2 = new Vat(300, 10, "Sodium Level", &value2, BRIGHT_RED);
	vat3 = new Vat(420, 10, "Freon Level", &value3, BRIGHT_BLUE);
}


void VatPage::Display()
{
	Page::Display();
	vat1->Display();
	vat2->Display();
	vat3->Display();
}

VatPage::~VatPage()
{
	// destroy the tanks
	delete vat1;
	delete vat2;
	delete vat3;
}

void OpenVatPage()
{
	// get next page ready
	VatPage* new_page = new VatPage();

	// create new page
	CurrentScreen->NewWorkArea(new_page);
	CurrentScreen->DisplayWorkArea();
}
